level = {
	map = {},
	bg = love.graphics.newImage('img/lvl/bg.png'),
	tmap = {
		{love.graphics.newImage('img/tmap/block1.png'), '1', true},
		{love.graphics.newImage('img/tmap/block2.png'), '2', true},
		{love.graphics.newImage('img/tmap/block3.png'), '3', false},
	}
}

function level.load(file)
	lnum = 1
	for line in love.filesystem.lines(file) do
		level.map[lnum] = line
		lnum = lnum + 1
	end
end

function level.draw()
	love.graphics.draw(level.bg, 0, 0)
	for a = 1, table.getn(level.map), 1 do
		for b = 1, string.len(level.map[1]), 1 do
			for c = 1, table.getn(level.tmap), 1 do
				if string.sub(level.map[a], b, b) == level.tmap[c][2] then
					love.graphics.draw(level.tmap[c][1], b*32-32, a*32-32)
				end
			end
		end
	end
end

function level.isBlock(x, y, tilesize)
	if string.sub(level.map[mult(y-tilesize/2, 32)/32+1], mult(x-tilesize/2, 32)/32+1, mult(x-tilesize/2, 32)/32+1) == '0' then
		return false
	else
		return true
	end
end


--Math functions ripped from additonial math:
function round(n, deci) deci = 10^(deci or 0) return math.floor(n*deci+.5)/deci end
function mult(n, size) size = size or 10 return round(n/size)*size end